<VirtualHost *:80>
    # Include /etc/apache2/le_http_01_challenge_pre.conf
    ServerName gpt.polymicro.net
    ProxyPreserveHost On
    ProxyPass /gpt http://10.1.1.1:3000
    ProxyPassReverse /gpt http://gpt.polymicro.net
    # DumpIOInput On
    # DumpIOOutput On    
    # LogLevel debug dumpio:trace7
    ErrorLog ${APACHE_LOG_DIR}/gpt-error.log
    CustomLog ${APACHE_LOG_DIR}/gpt-access.log combined
    RewriteEngine on
    LogLevel rewrite:debug
    # Redirect 301 / http://gpt.polymicro.net:3000
    # RedirectMatch 301 ^(.*)$ http://gpt.polymicro.net:3000/gpt/$1
    Redirect "^$" "http://gpt.polymicro.net"
    Redirect "/"  "http://gpt.polymicro.net"
    RewriteCond %{SERVER_NAME} =gpt.polymicro.net
    RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>
